Skip to content
GAMPEONCreate
New project

Change a community

PATCH
/v1/communities/{id}
curl --request PATCH \
--url https://api.gampeon.com/v1/communities/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "rules": "example", "joinMode": "open", "minAge": 13 }'

Needs manageCommunity.

Not available with access tokens.

id
required
integer
>= 1

Community ID

Media typeapplication/json
object
name
string
>= 2 characters <= 48 characters
description
string
<= 500 characters
rules

Shown before joining. People must accept them to join

string
<= 2000 characters
joinMode
string
Allowed values: open invite
minAge

Accounts under 16 cannot join or see communities for 16+

integer
Allowed values: 13 16

Changed fields

Media typeapplication/json
object
updated
required
Array<string>

Example generated

{
"updated": [
"example"
]
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission, community_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback